import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

public class banner  extends Actor
{
    private java.lang.String text;
    private int size;
    private Color color;

    public banner (java.lang.String string, int _size) // Konstruktor (Text, Gre)
    {
        size = _size;
        color = Color.black;
        text = string;
        Font font = new Font ("Arial", Font.BOLD, size);
        GreenfootImage img = new GreenfootImage ((font.getSize()*text.length() / 2) + 10, (int)(size*1.3));
        img.setFont(font);
        img.setColor(color);
        img.drawString(string, 5, size);
        setImage(img);
    }

    public banner (java.lang.String string, int _size, Color _color) // Konstruktor (Text, Gre, Farbe)
    {
        size = _size;
        color = _color;
        text = string;
        Font font = new Font ("Arial", Font.BOLD, size);
        GreenfootImage img = new GreenfootImage ((font.getSize()*text.length() / 2) + 10, (int)(size*1.3));
        img.setFont(font);
        img.setColor(color);
        img.drawString(string, 5, size);
        setImage(img);
    }

    public banner (GreenfootImage img) // Bild einsetzen
    {
        setImage(img);
    }
    
    public void newString (java.lang.String string) // Text ndern
    {
        text = string;
        Font font = new Font ("Arial", Font.BOLD, size);
        GreenfootImage img = new GreenfootImage ((font.getSize()*text.length() / 2) + 10, (int)(size*1.3));
        img.setFont(font);
        img.setColor(color);
        img.drawString(text, 5, size);
        setImage(img);
    }
    
    public void newColor (Color _color) // Farbe ndern
    {
        color = _color;
        Font font = new Font ("Arial", Font.BOLD, size);
        GreenfootImage img = new GreenfootImage ((font.getSize()*text.length() / 2) + 10, (int)(size*1.3));
        img.setFont(font);
        img.setColor(color);
        img.drawString(text, 5, size);
        setImage(img);
    }
    
    public java.lang.String getString() //Text auslesen
    {
        return text;
    }
}
