import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class lobster  extends animals
{
    private int sDir, dirBuf;
    private boolean lockOn;
    private GreenfootImage img, imgGreedy;
    
    public lobster (int _dir)
    {
        super (_dir);  // animal erzeugen
        sDir = dir;  // Allgemeine initialisieren
        img = new GreenfootImage("images/lobster.png");
        imgGreedy = new GreenfootImage("images/lobsterGreedy.png");
        setImage(img);
        speed = 2;
        lockOn = false;
    }
    
    public void _act()
    {
        int i;
        player target = null;
        java.util.List objects = getObjectsInRange(50, player.class);  // Krabbe suchen...
        for (i = 0; i < objects.size(); i++)
        {
            ((player)objects.get(i)).onCatch();  //...und fressen
        }
        if (((beach)getWorld()).gameOver) // wenn game over...
        {
            objects = getObjectsInRange(1000, player.class);  //...Krabben im umkreis von 1000 suchen
        }
        else
        {
            objects = getObjectsInRange(100, player.class); //...Krabben im umkreis von 100 suchen
        }
        if (objects.size() > 0)  //Wenn Krabben im Umkreis
        {
            if (((player)objects.get(0)).ghosttime <= 0)
            {
                if (lockOn == false)  // Verfolgung beginnnen
                {
                    Greenfoot.playSound("sounds/game/rage.wav");
                    setImage(imgGreedy);
                    speed = 3.2;
                }
                lockOn = true;
                target = (player)(objects.get(0));
            }
        }
        if (((beach)getWorld()).gameOver) // wenn Spiel zuende...
        {
            objects = getObjectsInRange(1000, player.class);
            speed += 0.01;  //... Geschwindigkeit stetig erhhen
        }
        else
        {
            objects = getObjectsInRange(150, player.class);
        }
        if (objects.size() == 0) //wenn keine gefunden...
        {
            lockOn = false; //...Verfolgung beenden
            speed = 2;
            setImage(img);
        }
        if (lockOn && target != null) // Wenn Ziel vorhanden und Verfolgung aktiv...
        {
            int dY = getY() - target.getY();
            int dX = target.getX() - getX();
            if (dY != 0)
            {
                sDir = (int)Math.toDegrees(Math.atan(dX / dY)); //... Sollrichtung in Richtung auf Ziel setzen
                if (dY < 0)
                {
                    sDir += 180;
                }
            }
            else if (dX > 0 || dY == 0) // Sonderflle
            {
                sDir = 90;
            }
            else
            {
                sDir = 270;
            }
        }
        else if (getX() < 75)  // Reaktionen auf Weltrand
        {
            if ((dir + 90) % 360 < 180)
            {
                dir += speed * 1.5;                
            }
            else
            {
                dir -= speed * 1.5;
            }
            sDir = dir;
        }
        else if (getY() < 75)
        {
            if (dir < 180)
            {
                dir += speed * 1.5;                
            }
            else
            {
                dir -= speed * 1.5;
            }
            sDir = dir;
        }
        else if (getX() > 565)
        {
            if ((dir + 90) % 360 < 180)
            {
                dir -= speed * 1.5;                
            }
            else
            {
                dir += speed * 1.5;
            }
            sDir = dir;
        }
        else if (getY() > 405)
        {
            if (dir < 180)
            {
                dir -= speed * 1.5;                
            }
            else
            {
                dir += speed * 1.5;
            }
            sDir = dir;
        }
        else if (Greenfoot.getRandomNumber(25) == 0 && !lockOn)
        {
            sDir = Greenfoot.getRandomNumber(360);
        }
        dir = (dir + 360) % 360;
        sDir %= 360;
        int dif;
        if (Math.abs(sDir - dir) < 180)
        {
            dif = sDir - dir;
        }
        else
        {
            dif = (sDir + 180) % 360 - (dir + 180) % 360;
        }
        if (dif > 0)
            dir += speed * 1.5;
        if (dif < 0)
            dir -= speed * 1.5;
    }
}