import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class player  extends animals
{
    public int player, ghosttime;

    public player (int _player, int _dir)   //Konstruktor: _player = 0 oder 1, Spieler; _dir = 0 bis 360, Startwinkel;
    {
        super (_dir);       // Tier mit Winkel _dir erzeugen
        player = _player;   // player-Parameter dauerhaft speichern
        ghosttime = 100;    // ghost-timer auf 100 setzen
        if (player == 0)    // wenn Spieler 1:
        {
            controls[0] = "right";  // Steuerungsvariablen setzen...
            controls[1] = "left";
            controls[2] = "";
            controls[3] = "";
            setImage("images/player0.png"); // bild setzen
        }
        if (player == 1)    // wenn Spieler 2:
        {
            controls[0] = "d";  // Steuerungsvariablen setzen...
            controls[1] = "a";
            controls[2] = "";
            controls[3] = "";
            setImage("images/player1.png");  // bild setzen
        }
        speed = 4;      // Geschwindigkeit setzen
        getImage().setTransparency(128); // Halbtransparent ("Geist")
    }
    
    protected void onAddedToWorld()
    {
        Greenfoot.playSound("sounds/game/born.wav");  // Startsound abspielen
    }
    
    public void _act() // Methode wird von animals aufgerunfen (in jedem act-Zyklus)
    {
        if (ghosttime == 1) // wenn Geistzeit abgelaufen
        {
            getImage().setTransparency(255); // volle Sichtbarkeit
        }
        if (ghosttime > 0)  // solange ber 0...
        {
            ghosttime--; // ..dekrementieren
        }
        else // wenn abgelaufen...
        {
            int i;
            java.util.List objects = getObjectsInRange(50, worm.class);  // Alle umgebenen Wrmer sichten
            for (i = 0; i < objects.size(); i++)    // Alle gefundenen Wrmer durchgehen
            {
                Greenfoot.playSound("sounds/game/food" + (Greenfoot.getRandomNumber(3) + 1) + ".wav");   // Sound abspielen
                ((beach)getWorld()).onEat(this, ((worm)objects.get(i)).getPowerUpNo());  // Welt Fund mitteilen
                getWorld().removeObject((worm)objects.get(i)); // Wurm entfernen
            }
        }
    }
    
    public void onCatch () // Wird vom Hummer aufgerufen, wenn er die Krabbe gefangen hat
    {
        if (ghosttime <= 0) // Nur sterben wenn Geistzeit abgelaufen(!)
        {
            ((beach)getWorld()).respawn(player);  // Welt mitteilen, das eine neue Krabbe bentigt wird
            Greenfoot.playSound("sounds/game/cut.wav");  // Sound abspielen
            getWorld().removeObject(this); // Krabbe veschwindet 
        }
    }
}