import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class wormInvisible  extends animals  // Nichtfressbarer, unterirdischer Wurm
{
    private int sDir, trans;  // sDir ist die Sollrichtung

    public wormInvisible ()
    {
        super (Greenfoot.getRandomNumber(360));  // zufllig gedrehtes animal erzeugen
        sDir = dir;
        setImage("images/wormInvisible.png");
        speed = 1;
        trans = 0;
        getImage().setTransparency(trans);
    }


    public void _act()
    {
        if (trans >= 200)  // wenn zeit abgelaufen...
        {
            getWorld().addObject (new worm(), getX(), getY() - 10); //...richtigen wurm setzen...
            getWorld().removeObject(this);  //...und sich selbst lschen...
            return;
        }
        trans += 2; // timer inkrementieren
        getImage().setTransparency(trans); // Transparenz aktualisieren
        if (getX() < 75)                  // Steuerung bei Weltrandkontakt
        {
            if ((dir + 90) % 360 < 180)
            {
                dir += speed * 1.5;                
            }
            else
            {
                dir -= speed * 1.5;
            }
            sDir = dir;
        }
        else if (getY() < 75)
        {
            if (dir < 180)
            {
                dir += speed * 1.5;                
            }
            else
            {
                dir -= speed * 1.5;
            }
            sDir = dir;
        }
        else if (getX() > 565)
        {
            if ((dir + 90) % 360 < 180)
            {
                dir -= speed * 1.5;                
            }
            else
            {
                dir += speed * 1.5;
            }
            sDir = dir;
        }
        else if (getY() > 405)
        {
            if (dir < 180)
            {
                dir -= speed * 1.5;                
            }
            else
            {
                dir += speed * 1.5;
            }
            sDir = dir;
        }
        else if (Greenfoot.getRandomNumber(25) == 0)
        {
            sDir = Greenfoot.getRandomNumber(360); // zufllige Sollrichtung setzen
        }
        sDir %= 360;  // bei Bedarf Wert unter 360 bringen
        int dif;      // je nach Sollrichtung tatschliche Richtung ndern
        if (Math.abs(sDir - dir) < 180)
        {
            dif = sDir - dir;
        }
        else
        {
            dif = (sDir + 180) % 360 - (dir + 180) % 360;
        }
        if (dif > 0)
            dir += speed * 1.5;
        if (dif < 0)
            dir -= speed * 1.5;
    }
    
    protected void placeFootstep()  //  Methode aus animals berschreiben um keine Fuspuren zu hinterlasssen
    {}
}
